﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace XamMenuChildren
{
    public class ViewModel : INotifyPropertyChanged
    {

        private List<MyDataItem> menuItems;

        public List<MyDataItem> MenuItems
        {
            get
            {
                if (menuItems == null)
                {
                    menuItems = new List<MyDataItem>();
                    for (int i = 0; i < 4; i++)
                    {
                        MyDataItem mi = new MyDataItem()
                        {
                            Id = i,
                            MenuTitle = "Title " + i.ToString()
                        };
                        for (int j = 0; j < 3; j++)
                        {
                            MyDataItem mii = new MyDataItem()
                            {
                                Id = i * 10 + j,
                                MenuTitle = "Title " + i.ToString() + " " + j.ToString()
                              
                            };
                            for (int k = 0;k<4;k++)
                            {
                                mii.Children.Add(new MyDataItem()
                            {
                                Id = i * 100 + j*10 + k,
                                MenuTitle = "Title " + i.ToString() + " " + j.ToString() + " " + k.ToString()

                            });
                            }
                            mi.Children.Add(mii);
                        }

                        menuItems.Add(mi);
                    }
                }

                return menuItems;
            }
        }



        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #endregion

    }
}
